cubicweb #699943 check version numbers at startup [open]

The cubes provide dependency information in their __pkginfo__. use that information to make sure the version numbers of the cubes are consistent before starting up. It is useless to start the application if cube A requires B >= 0.2.0 and B is at version 0.1.5.

done in<not specified>
load left0.200
closed by<not specified>